cURL
curl --request PATCH \ --url https://www.ruddr.io/api/workspace/opportunity-types/{id} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>", "description": "<string>", "isActive": true } '
200
Result
{ "id": "c9f1a5e3-7d42-4b86-a0d8-e3b7c6f02d19", "name": "Upsell", "description": "Expanding services or scope with an existing client.", "isActive": true, "createdAt": "2025-04-10T11:35:42.891Z" }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
The opportunity type uuid.
uuid
The name of the opportunity type. Max 255 characters.
The description of the opportunity type. Max 5000 characters.
Whether the opportunity type is active.
The unique identifier for the object.
The name of the opportunity type.
The description of the opportunity type.
The timestamp when the object was created.